<?xml version="1.0" encoding="utf-8"?>
<Project DefaultTargets="Build" ToolsVersion="4.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <ItemGroup Label="ProjectConfigurations">
    <ProjectConfiguration Include="Debug|Win32">
      <Configuration>Debug</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Debug|x64">
      <Configuration>Debug</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|Win32">
      <Configuration>Release</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|x64">
      <Configuration>Release</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
  </ItemGroup>
  <PropertyGroup Label="Globals">
    <ProjectGuid>{A6572AA3-92E4-4A9B-A596-602ACB2E2251}</ProjectGuid>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="Configuration">
    <ConfigurationType>DynamicLibrary</ConfigurationType>
    <WholeProgramOptimization>true</WholeProgramOptimization>
    <PlatformToolset>v120_xp</PlatformToolset>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" Label="Configuration">
    <ConfigurationType>DynamicLibrary</ConfigurationType>
    <PlatformToolset>Windows7.1SDK</PlatformToolset>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'" Label="Configuration">
    <ConfigurationType>DynamicLibrary</ConfigurationType>
    <WholeProgramOptimization>true</WholeProgramOptimization>
    <PlatformToolset>v120</PlatformToolset>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" Label="Configuration">
    <ConfigurationType>DynamicLibrary</ConfigurationType>
    <PlatformToolset>Windows7.1SDK</PlatformToolset>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
  <ImportGroup Label="ExtensionSettings">
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <PropertyGroup Label="UserMacros" />
  <PropertyGroup>
    <_ProjectFileVersion>10.0.30319.1</_ProjectFileVersion>
    <OutDir Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">x86\</OutDir>
    <IntDir Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">obj\</IntDir>
    <LinkIncremental Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" />
    <OutDir Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">x86\</OutDir>
    <IntDir Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">obj\</IntDir>
    <LinkIncremental Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">false</LinkIncremental>
    <OutDir Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">x64\</OutDir>
    <IntDir Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">obj-x64\</IntDir>
    <LinkIncremental Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" />
    <OutDir Condition="'$(Configuration)|$(Platform)'=='Release|x64'">x64\</OutDir>
    <IntDir Condition="'$(Configuration)|$(Platform)'=='Release|x64'">obj-x64\</IntDir>
    <LinkIncremental Condition="'$(Configuration)|$(Platform)'=='Release|x64'">false</LinkIncremental>
    <CodeAnalysisRuleSet Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">AllRules.ruleset</CodeAnalysisRuleSet>
    <CodeAnalysisRules Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" />
    <CodeAnalysisRuleAssemblies Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" />
    <CodeAnalysisRuleSet Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">AllRules.ruleset</CodeAnalysisRuleSet>
    <CodeAnalysisRules Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" />
    <CodeAnalysisRuleAssemblies Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" />
    <CodeAnalysisRuleSet Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">AllRules.ruleset</CodeAnalysisRuleSet>
    <CodeAnalysisRules Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" />
    <CodeAnalysisRuleAssemblies Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" />
    <CodeAnalysisRuleSet Condition="'$(Configuration)|$(Platform)'=='Release|x64'">AllRules.ruleset</CodeAnalysisRuleSet>
    <CodeAnalysisRules Condition="'$(Configuration)|$(Platform)'=='Release|x64'" />
    <CodeAnalysisRuleAssemblies Condition="'$(Configuration)|$(Platform)'=='Release|x64'" />
    <IncludePath Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">GD\src;zlib\src;win-iconv;libpng;libjpg;libxpm\include;libxpm\include\X11;libxpm\src;freetype\include;$(IncludePath)</IncludePath>
    <LibraryPath Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">zlib;$(LibraryPath)</LibraryPath>
    <IncludePath Condition="'$(Configuration)|$(Platform)'=='Release|x64'">GD\src;zlib\src;win-iconv;libpng;libjpg;;libxpm\include;libxpm\include\X11;libxpm\src;;freetype\include;$(IncludePath)</IncludePath>
    <LibraryPath Condition="'$(Configuration)|$(Platform)'=='Release|x64'">zlib;$(LibraryPath)</LibraryPath>
    <TargetName Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">gd</TargetName>
    <TargetName Condition="'$(Configuration)|$(Platform)'=='Release|x64'">gd</TargetName>
  </PropertyGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <ClCompile>
      <Optimization>Disabled</Optimization>
      <PreprocessorDefinitions>_DEBUG;_USRDLL;_CRT_SECURE_NO_WARNINGS;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <MinimalRebuild>true</MinimalRebuild>
      <BasicRuntimeChecks>Default</BasicRuntimeChecks>
      <RuntimeLibrary>MultiThreadedDebug</RuntimeLibrary>
      <FloatingPointModel>Fast</FloatingPointModel>
      <PrecompiledHeader>
      </PrecompiledHeader>
      <WarningLevel>Level4</WarningLevel>
      <DebugInformationFormat>EditAndContinue</DebugInformationFormat>
      <CompileAs>CompileAsC</CompileAs>
    </ClCompile>
    <Link>
      <OutputFile>$(OutDir)\$(ProjectName).dll</OutputFile>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <SubSystem>Windows</SubSystem>
      <TargetMachine>MachineX86</TargetMachine>
    </Link>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <ClCompile>
      <Optimization>Full</Optimization>
      <WholeProgramOptimization>true</WholeProgramOptimization>
      <PreprocessorDefinitions>NDEBUG;_USRDLL;_CRT_SECURE_NO_WARNINGS;NONDLL;WIN32;FOR_MSW;FT2_BUILD_LIBRARY;HAVE_CONFIG_H;GD_GIF;GD_JPEG;GD_PNG;GD_XPM;GD_FREETYPE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <StringPooling>true</StringPooling>
      <MinimalRebuild>false</MinimalRebuild>
      <RuntimeLibrary>MultiThreaded</RuntimeLibrary>
      <BufferSecurityCheck>false</BufferSecurityCheck>
      <FloatingPointModel>Fast</FloatingPointModel>
      <ForceConformanceInForLoopScope>false</ForceConformanceInForLoopScope>
      <RuntimeTypeInfo>false</RuntimeTypeInfo>
      <PrecompiledHeader>NotUsing</PrecompiledHeader>
      <WarningLevel>Level4</WarningLevel>
      <SuppressStartupBanner>true</SuppressStartupBanner>
      <DebugInformationFormat>ProgramDatabase</DebugInformationFormat>
      <CallingConvention>FastCall</CallingConvention>
      <CompileAs>CompileAsC</CompileAs>
      <MultiProcessorCompilation>true</MultiProcessorCompilation>
      <FunctionLevelLinking>false</FunctionLevelLinking>
      <FloatingPointExceptions>false</FloatingPointExceptions>
      <CreateHotpatchableImage>false</CreateHotpatchableImage>
      <OpenMPSupport>false</OpenMPSupport>
      <IntrinsicFunctions>true</IntrinsicFunctions>
      <UndefinePreprocessorDefinitions>
      </UndefinePreprocessorDefinitions>
      <EnableEnhancedInstructionSet>StreamingSIMDExtensions</EnableEnhancedInstructionSet>
    </ClCompile>
    <Link>
      <OutputFile>$(OutDir)\gd.dll</OutputFile>
      <AdditionalOptions>/FIXED:NO /SAFESEH:NO %(AdditionalOptions)</AdditionalOptions>
      <ShowProgress>NotSet</ShowProgress>
      <SuppressStartupBanner>true</SuppressStartupBanner>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <GenerateMapFile>false</GenerateMapFile>
      <SubSystem>Windows</SubSystem>
      <OptimizeReferences>true</OptimizeReferences>
      <EnableCOMDATFolding>true</EnableCOMDATFolding>
      <LinkTimeCodeGeneration>UseLinkTimeCodeGeneration</LinkTimeCodeGeneration>
      <SetChecksum>true</SetChecksum>
      <RandomizedBaseAddress>true</RandomizedBaseAddress>
      <FixedBaseAddress>false</FixedBaseAddress>
      <DataExecutionPrevention>
      </DataExecutionPrevention>
      <TargetMachine>MachineX86</TargetMachine>
      <AssemblyDebug>false</AssemblyDebug>
      <AdditionalDependencies>zlib.lib;%(AdditionalDependencies)</AdditionalDependencies>
      <ModuleDefinitionFile>lua-gd.def</ModuleDefinitionFile>
      <IgnoreAllDefaultLibraries>
      </IgnoreAllDefaultLibraries>
      <IgnoreSpecificDefaultLibraries>
      </IgnoreSpecificDefaultLibraries>
    </Link>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <ClCompile>
      <Optimization>Disabled</Optimization>
      <PreprocessorDefinitions>_DEBUG;_USRDLL;_CRT_SECURE_NO_WARNINGS;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <MinimalRebuild>true</MinimalRebuild>
      <BasicRuntimeChecks>Default</BasicRuntimeChecks>
      <RuntimeLibrary>MultiThreadedDebug</RuntimeLibrary>
      <FloatingPointModel>Fast</FloatingPointModel>
      <PrecompiledHeader>
      </PrecompiledHeader>
      <WarningLevel>Level4</WarningLevel>
      <DebugInformationFormat>EditAndContinue</DebugInformationFormat>
      <CompileAs>CompileAsC</CompileAs>
    </ClCompile>
    <Link>
      <OutputFile>$(OutDir)\$(ProjectName).dll</OutputFile>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <SubSystem>Windows</SubSystem>
      <TargetMachine>MachineX64</TargetMachine>
    </Link>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <ClCompile>
      <Optimization>Full</Optimization>
      <WholeProgramOptimization>true</WholeProgramOptimization>
      <PreprocessorDefinitions>NDEBUG;_USRDLL;_CRT_SECURE_NO_WARNINGS;NONDLL;WIN32;FOR_MSW;FT2_BUILD_LIBRARY;HAVE_CONFIG_H;GD_GIF;GD_JPEG;GD_PNG;GD_XPM;GD_FREETYPE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <StringPooling>true</StringPooling>
      <MinimalRebuild>false</MinimalRebuild>
      <RuntimeLibrary>MultiThreaded</RuntimeLibrary>
      <BufferSecurityCheck>false</BufferSecurityCheck>
      <FloatingPointModel>Fast</FloatingPointModel>
      <ForceConformanceInForLoopScope>false</ForceConformanceInForLoopScope>
      <RuntimeTypeInfo>false</RuntimeTypeInfo>
      <PrecompiledHeader>NotUsing</PrecompiledHeader>
      <WarningLevel>Level4</WarningLevel>
      <SuppressStartupBanner>true</SuppressStartupBanner>
      <DebugInformationFormat>ProgramDatabase</DebugInformationFormat>
      <CompileAs>CompileAsC</CompileAs>
      <MultiProcessorCompilation>true</MultiProcessorCompilation>
      <OmitFramePointers>false</OmitFramePointers>
      <FunctionLevelLinking>false</FunctionLevelLinking>
      <FloatingPointExceptions>false</FloatingPointExceptions>
      <CreateHotpatchableImage>false</CreateHotpatchableImage>
      <OpenMPSupport>false</OpenMPSupport>
      <CallingConvention>Cdecl</CallingConvention>
      <IntrinsicFunctions>true</IntrinsicFunctions>
    </ClCompile>
    <Link>
      <OutputFile>$(OutDir)\gd.dll</OutputFile>
      <AdditionalOptions>/FIXED:NO /SAFESEH:NO %(AdditionalOptions)</AdditionalOptions>
      <ShowProgress>NotSet</ShowProgress>
      <SuppressStartupBanner>true</SuppressStartupBanner>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <GenerateMapFile>false</GenerateMapFile>
      <SubSystem>Windows</SubSystem>
      <OptimizeReferences>true</OptimizeReferences>
      <EnableCOMDATFolding>true</EnableCOMDATFolding>
      <LinkTimeCodeGeneration>UseLinkTimeCodeGeneration</LinkTimeCodeGeneration>
      <SetChecksum>true</SetChecksum>
      <RandomizedBaseAddress>true</RandomizedBaseAddress>
      <FixedBaseAddress>false</FixedBaseAddress>
      <DataExecutionPrevention>
      </DataExecutionPrevention>
      <TargetMachine>MachineX64</TargetMachine>
      <IgnoreAllDefaultLibraries>false</IgnoreAllDefaultLibraries>
      <AssemblyDebug>false</AssemblyDebug>
      <AdditionalDependencies>zlib-x64.lib;%(AdditionalDependencies)</AdditionalDependencies>
      <ModuleDefinitionFile>lua-gd.def</ModuleDefinitionFile>
    </Link>
  </ItemDefinitionGroup>
  <ItemGroup>
    <None Include="lua-gd.def" />
  </ItemGroup>
  <ItemGroup>
    <ClCompile Include="freetype\src\autofit\afangles.c" />
    <ClCompile Include="freetype\src\autofit\afblue.c" />
    <ClCompile Include="freetype\src\autofit\afcjk.c" />
    <ClCompile Include="freetype\src\autofit\afdummy.c" />
    <ClCompile Include="freetype\src\autofit\afglobal.c" />
    <ClCompile Include="freetype\src\autofit\afhints.c" />
    <ClCompile Include="freetype\src\autofit\afindic.c" />
    <ClCompile Include="freetype\src\autofit\aflatin.c" />
    <ClCompile Include="freetype\src\autofit\afloader.c" />
    <ClCompile Include="freetype\src\autofit\afmodule.c" />
    <ClCompile Include="freetype\src\base\ftadvanc.c" />
    <ClCompile Include="freetype\src\base\ftbitmap.c" />
    <ClCompile Include="freetype\src\base\ftcalc.c" />
    <ClCompile Include="freetype\src\base\ftgloadr.c" />
    <ClCompile Include="freetype\src\base\ftglyph.c" />
    <ClCompile Include="freetype\src\base\ftinit.c" />
    <ClCompile Include="freetype\src\base\ftobjs.c" />
    <ClCompile Include="freetype\src\base\ftoutln.c" />
    <ClCompile Include="freetype\src\base\ftrfork.c" />
    <ClCompile Include="freetype\src\base\ftstream.c" />
    <ClCompile Include="freetype\src\base\ftsystem.c" />
    <ClCompile Include="freetype\src\base\fttrigon.c" />
    <ClCompile Include="freetype\src\base\ftutil.c" />
    <ClCompile Include="freetype\src\bdf\bdfdrivr.c" />
    <ClCompile Include="freetype\src\bdf\bdflib.c" />
    <ClCompile Include="freetype\src\cff\cf2arrst.c" />
    <ClCompile Include="freetype\src\cff\cf2blues.c" />
    <ClCompile Include="freetype\src\cff\cf2error.c" />
    <ClCompile Include="freetype\src\cff\cf2font.c" />
    <ClCompile Include="freetype\src\cff\cf2ft.c" />
    <ClCompile Include="freetype\src\cff\cf2hints.c" />
    <ClCompile Include="freetype\src\cff\cf2intrp.c" />
    <ClCompile Include="freetype\src\cff\cf2read.c" />
    <ClCompile Include="freetype\src\cff\cf2stack.c" />
    <ClCompile Include="freetype\src\cff\cffcmap.c" />
    <ClCompile Include="freetype\src\cff\cffdrivr.c" />
    <ClCompile Include="freetype\src\cff\cffgload.c" />
    <ClCompile Include="freetype\src\cff\cffload.c" />
    <ClCompile Include="freetype\src\cff\cffobjs.c" />
    <ClCompile Include="freetype\src\cff\cffparse.c" />
    <ClCompile Include="freetype\src\cid\cidgload.c" />
    <ClCompile Include="freetype\src\cid\cidload.c" />
    <ClCompile Include="freetype\src\cid\cidobjs.c" />
    <ClCompile Include="freetype\src\cid\cidparse.c" />
    <ClCompile Include="freetype\src\cid\cidriver.c" />
    <ClCompile Include="freetype\src\gzip\ftgzip.c" />
    <ClCompile Include="freetype\src\lzw\ftlzw.c" />
    <ClCompile Include="freetype\src\pcf\pcfdrivr.c" />
    <ClCompile Include="freetype\src\pcf\pcfread.c" />
    <ClCompile Include="freetype\src\pcf\pcfutil.c" />
    <ClCompile Include="freetype\src\pfr\pfrcmap.c" />
    <ClCompile Include="freetype\src\pfr\pfrdrivr.c" />
    <ClCompile Include="freetype\src\pfr\pfrgload.c" />
    <ClCompile Include="freetype\src\pfr\pfrload.c" />
    <ClCompile Include="freetype\src\pfr\pfrobjs.c" />
    <ClCompile Include="freetype\src\pfr\pfrsbit.c" />
    <ClCompile Include="freetype\src\psaux\afmparse.c" />
    <ClCompile Include="freetype\src\psaux\psauxmod.c" />
    <ClCompile Include="freetype\src\psaux\psconv.c" />
    <ClCompile Include="freetype\src\psaux\psobjs.c" />
    <ClCompile Include="freetype\src\psaux\t1cmap.c" />
    <ClCompile Include="freetype\src\psaux\t1decode.c" />
    <ClCompile Include="freetype\src\pshinter\pshalgo.c" />
    <ClCompile Include="freetype\src\pshinter\pshglob.c" />
    <ClCompile Include="freetype\src\pshinter\pshmod.c" />
    <ClCompile Include="freetype\src\pshinter\pshrec.c" />
    <ClCompile Include="freetype\src\psnames\psmodule.c" />
    <ClCompile Include="freetype\src\raster\ftraster.c" />
    <ClCompile Include="freetype\src\raster\ftrend1.c" />
    <ClCompile Include="freetype\src\sfnt\sfdriver.c" />
    <ClCompile Include="freetype\src\sfnt\sfobjs.c" />
    <ClCompile Include="freetype\src\sfnt\ttbdf.c" />
    <ClCompile Include="freetype\src\sfnt\ttcmap.c" />
    <ClCompile Include="freetype\src\sfnt\ttkern.c" />
    <ClCompile Include="freetype\src\sfnt\ttload.c" />
    <ClCompile Include="freetype\src\sfnt\ttmtx.c" />
    <ClCompile Include="freetype\src\sfnt\ttpost.c" />
    <ClCompile Include="freetype\src\sfnt\ttsbit.c" />
    <ClCompile Include="freetype\src\smooth\ftgrays.c" />
    <ClCompile Include="freetype\src\smooth\ftsmooth.c" />
    <ClCompile Include="freetype\src\truetype\ttdriver.c" />
    <ClCompile Include="freetype\src\truetype\ttgload.c" />
    <ClCompile Include="freetype\src\truetype\ttgxvar.c" />
    <ClCompile Include="freetype\src\truetype\ttinterp.c" />
    <ClCompile Include="freetype\src\truetype\ttobjs.c" />
    <ClCompile Include="freetype\src\truetype\ttpload.c" />
    <ClCompile Include="freetype\src\type1\t1afm.c" />
    <ClCompile Include="freetype\src\type1\t1driver.c" />
    <ClCompile Include="freetype\src\type1\t1gload.c" />
    <ClCompile Include="freetype\src\type1\t1load.c" />
    <ClCompile Include="freetype\src\type1\t1objs.c" />
    <ClCompile Include="freetype\src\type1\t1parse.c" />
    <ClCompile Include="freetype\src\type42\t42drivr.c" />
    <ClCompile Include="freetype\src\type42\t42objs.c" />
    <ClCompile Include="freetype\src\type42\t42parse.c" />
    <ClCompile Include="freetype\src\winfonts\winfnt.c" />
    <ClCompile Include="GD\src\gd.c" />
    <ClCompile Include="GD\src\gdcache.c" />
    <ClCompile Include="GD\src\gdfontg.c" />
    <ClCompile Include="GD\src\gdfontl.c" />
    <ClCompile Include="GD\src\gdfontmb.c" />
    <ClCompile Include="GD\src\gdfonts.c" />
    <ClCompile Include="GD\src\gdfontt.c" />
    <ClCompile Include="GD\src\gdft.c" />
    <ClCompile Include="GD\src\gdfx.c" />
    <ClCompile Include="GD\src\gdhelpers.c" />
    <ClCompile Include="GD\src\gdkanji.c" />
    <ClCompile Include="GD\src\gdtables.c" />
    <ClCompile Include="GD\src\gdxpm.c" />
    <ClCompile Include="GD\src\gd_color.c" />
    <ClCompile Include="GD\src\gd_color_map.c" />
    <ClCompile Include="GD\src\gd_gd.c" />
    <ClCompile Include="GD\src\gd_gd2.c" />
    <ClCompile Include="GD\src\gd_gif_in.c" />
    <ClCompile Include="GD\src\gd_gif_out.c" />
    <ClCompile Include="GD\src\gd_io.c" />
    <ClCompile Include="GD\src\gd_io_dp.c" />
    <ClCompile Include="GD\src\gd_io_file.c" />
    <ClCompile Include="GD\src\gd_jpeg.c" />
    <ClCompile Include="GD\src\gd_nnquant.c" />
    <ClCompile Include="GD\src\gd_png.c" />
    <ClCompile Include="GD\src\gd_security.c" />
    <ClCompile Include="GD\src\gd_topal.c" />
    <ClCompile Include="GD\src\gd_wbmp.c" />
    <ClCompile Include="GD\src\gd_xbm.c" />
    <ClCompile Include="GD\src\wbmp.c" />
    <ClCompile Include="libjpg\jaricom.c" />
    <ClCompile Include="libjpg\jcapimin.c" />
    <ClCompile Include="libjpg\jcapistd.c" />
    <ClCompile Include="libjpg\jcarith.c" />
    <ClCompile Include="libjpg\jccoefct.c" />
    <ClCompile Include="libjpg\jccolor.c" />
    <ClCompile Include="libjpg\jcdctmgr.c" />
    <ClCompile Include="libjpg\jchuff.c" />
    <ClCompile Include="libjpg\jcinit.c" />
    <ClCompile Include="libjpg\jcmainct.c" />
    <ClCompile Include="libjpg\jcmarker.c" />
    <ClCompile Include="libjpg\jcmaster.c" />
    <ClCompile Include="libjpg\jcomapi.c" />
    <ClCompile Include="libjpg\jcparam.c" />
    <ClCompile Include="libjpg\jcprepct.c" />
    <ClCompile Include="libjpg\jcsample.c" />
    <ClCompile Include="libjpg\jdapimin.c" />
    <ClCompile Include="libjpg\jdapistd.c" />
    <ClCompile Include="libjpg\jdarith.c" />
    <ClCompile Include="libjpg\jdcoefct.c" />
    <ClCompile Include="libjpg\jdcolor.c" />
    <ClCompile Include="libjpg\jddctmgr.c" />
    <ClCompile Include="libjpg\jdhuff.c" />
    <ClCompile Include="libjpg\jdinput.c" />
    <ClCompile Include="libjpg\jdmainct.c" />
    <ClCompile Include="libjpg\jdmarker.c" />
    <ClCompile Include="libjpg\jdmaster.c" />
    <ClCompile Include="libjpg\jdmerge.c" />
    <ClCompile Include="libjpg\jdpostct.c" />
    <ClCompile Include="libjpg\jdsample.c" />
    <ClCompile Include="libjpg\jerror.c" />
    <ClCompile Include="libjpg\jfdctflt.c" />
    <ClCompile Include="libjpg\jfdctfst.c" />
    <ClCompile Include="libjpg\jfdctint.c" />
    <ClCompile Include="libjpg\jidctflt.c" />
    <ClCompile Include="libjpg\jidctfst.c" />
    <ClCompile Include="libjpg\jidctint.c" />
    <ClCompile Include="libjpg\jmemansi.c" />
    <ClCompile Include="libjpg\jmemmgr.c" />
    <ClCompile Include="libjpg\jquant1.c" />
    <ClCompile Include="libjpg\jquant2.c" />
    <ClCompile Include="libjpg\jutils.c" />
    <ClCompile Include="libpng\png.c" />
    <ClCompile Include="libpng\pngerror.c" />
    <ClCompile Include="libpng\pngget.c" />
    <ClCompile Include="libpng\pngmem.c" />
    <ClCompile Include="libpng\pngread.c" />
    <ClCompile Include="libpng\pngrio.c" />
    <ClCompile Include="libpng\pngrtran.c" />
    <ClCompile Include="libpng\pngrutil.c" />
    <ClCompile Include="libpng\pngset.c" />
    <ClCompile Include="libpng\pngtrans.c" />
    <ClCompile Include="libpng\pngwio.c" />
    <ClCompile Include="libpng\pngwrite.c" />
    <ClCompile Include="libpng\pngwtran.c" />
    <ClCompile Include="libpng\pngwutil.c" />
    <ClCompile Include="libxpm\src\Attrib.c" />
    <ClCompile Include="libxpm\src\create.c" />
    <ClCompile Include="libxpm\src\data.c" />
    <ClCompile Include="libxpm\src\hashtab.c" />
    <ClCompile Include="libxpm\src\Image.c" />
    <ClCompile Include="libxpm\src\Info.c" />
    <ClCompile Include="libxpm\src\misc.c" />
    <ClCompile Include="libxpm\src\parse.c" />
    <ClCompile Include="libxpm\src\RdFToI.c" />
    <ClCompile Include="libxpm\src\rgb.c" />
    <ClCompile Include="libxpm\src\simx.c" />
    <ClCompile Include="lua.c" />
    <ClCompile Include="luagd.c" />
    <ClCompile Include="win-iconv\win_iconv.c" />
  </ItemGroup>
  <ItemGroup>
    <ClInclude Include="freetype\include\freetype\ftbitmap.h" />
    <ClInclude Include="freetype\include\freetype\ftglyph.h" />
    <ClInclude Include="freetype\include\freetype\ftgzip.h" />
    <ClInclude Include="freetype\include\freetype\ftlzw.h" />
    <ClInclude Include="freetype\include\freetype\ftoutln.h" />
    <ClInclude Include="freetype\src\autofit\afcjk.h" />
    <ClInclude Include="freetype\src\autofit\afdummy.h" />
    <ClInclude Include="freetype\src\autofit\afglobal.h" />
    <ClInclude Include="freetype\src\autofit\afhints.h" />
    <ClInclude Include="freetype\src\autofit\afindic.h" />
    <ClInclude Include="freetype\src\autofit\aflatin.h" />
    <ClInclude Include="freetype\src\autofit\afloader.h" />
    <ClInclude Include="freetype\src\autofit\afmodule.h" />
    <ClInclude Include="freetype\src\autofit\aftypes.h" />
    <ClInclude Include="freetype\src\base\ftbase.h" />
    <ClInclude Include="freetype\src\bdf\bdf.h" />
    <ClInclude Include="freetype\src\bdf\bdfdrivr.h" />
    <ClInclude Include="freetype\src\cff\cffcmap.h" />
    <ClInclude Include="freetype\src\cff\cffdrivr.h" />
    <ClInclude Include="freetype\src\cff\cffgload.h" />
    <ClInclude Include="freetype\src\cff\cffload.h" />
    <ClInclude Include="freetype\src\cff\cffobjs.h" />
    <ClInclude Include="freetype\src\cff\cffparse.h" />
    <ClInclude Include="freetype\src\cid\cidgload.h" />
    <ClInclude Include="freetype\src\cid\cidload.h" />
    <ClInclude Include="freetype\src\cid\cidobjs.h" />
    <ClInclude Include="freetype\src\cid\cidparse.h" />
    <ClInclude Include="freetype\src\cid\cidriver.h" />
    <ClInclude Include="freetype\src\pcf\pcfdrivr.h" />
    <ClInclude Include="freetype\src\pcf\pcfread.h" />
    <ClInclude Include="freetype\src\pcf\pcfutil.h" />
    <ClInclude Include="freetype\src\pfr\pfrcmap.h" />
    <ClInclude Include="freetype\src\pfr\pfrdrivr.h" />
    <ClInclude Include="freetype\src\pfr\pfrgload.h" />
    <ClInclude Include="freetype\src\pfr\pfrobjs.h" />
    <ClInclude Include="freetype\src\pfr\pfrsbit.h" />
    <ClInclude Include="freetype\src\psaux\afmparse.h" />
    <ClInclude Include="freetype\src\psaux\psconv.h" />
    <ClInclude Include="freetype\src\psaux\psobjs.h" />
    <ClInclude Include="freetype\src\psaux\t1cmap.h" />
    <ClInclude Include="freetype\src\psaux\t1decode.h" />
    <ClInclude Include="freetype\src\pshinter\pshalgo.h" />
    <ClInclude Include="freetype\src\pshinter\pshglob.h" />
    <ClInclude Include="freetype\src\pshinter\pshmod.h" />
    <ClInclude Include="freetype\src\pshinter\pshrec.h" />
    <ClInclude Include="freetype\src\psnames\psmodule.h" />
    <ClInclude Include="freetype\src\raster\ftraster.h" />
    <ClInclude Include="freetype\src\raster\ftrend1.h" />
    <ClInclude Include="freetype\src\sfnt\sfdriver.h" />
    <ClInclude Include="freetype\src\sfnt\sfobjs.h" />
    <ClInclude Include="freetype\src\sfnt\ttbdf.h" />
    <ClInclude Include="freetype\src\sfnt\ttcmap.h" />
    <ClInclude Include="freetype\src\sfnt\ttkern.h" />
    <ClInclude Include="freetype\src\sfnt\ttload.h" />
    <ClInclude Include="freetype\src\sfnt\ttmtx.h" />
    <ClInclude Include="freetype\src\sfnt\ttpost.h" />
    <ClInclude Include="freetype\src\sfnt\ttsbit.h" />
    <ClInclude Include="freetype\src\smooth\ftgrays.h" />
    <ClInclude Include="freetype\src\smooth\ftsmooth.h" />
    <ClInclude Include="freetype\src\truetype\ttdriver.h" />
    <ClInclude Include="freetype\src\truetype\ttgload.h" />
    <ClInclude Include="freetype\src\truetype\ttgxvar.h" />
    <ClInclude Include="freetype\src\truetype\ttinterp.h" />
    <ClInclude Include="freetype\src\truetype\ttobjs.h" />
    <ClInclude Include="freetype\src\truetype\ttpload.h" />
    <ClInclude Include="freetype\src\type1\t1afm.h" />
    <ClInclude Include="freetype\src\type1\t1driver.h" />
    <ClInclude Include="freetype\src\type1\t1gload.h" />
    <ClInclude Include="freetype\src\type1\t1load.h" />
    <ClInclude Include="freetype\src\type1\t1objs.h" />
    <ClInclude Include="freetype\src\type1\t1parse.h" />
    <ClInclude Include="freetype\src\type42\t42drivr.h" />
    <ClInclude Include="freetype\src\type42\t42objs.h" />
    <ClInclude Include="freetype\src\type42\t42types.h" />
    <ClInclude Include="freetype\src\winfonts\winfnt.h" />
    <ClInclude Include="GD\src\gd.h" />
    <ClInclude Include="GD\src\gdcache.h" />
    <ClInclude Include="GD\src\gdfontg.h" />
    <ClInclude Include="GD\src\gdfontl.h" />
    <ClInclude Include="GD\src\gdfontmb.h" />
    <ClInclude Include="GD\src\gdfonts.h" />
    <ClInclude Include="GD\src\gdfontt.h" />
    <ClInclude Include="GD\src\gdfx.h" />
    <ClInclude Include="GD\src\gdhelpers.h" />
    <ClInclude Include="GD\src\gd_io.h" />
    <ClInclude Include="GD\src\wbmp.h" />
    <ClInclude Include="lauxlib.h" />
    <ClInclude Include="libjpg\jdct.h" />
    <ClInclude Include="libjpg\jerror.h" />
    <ClInclude Include="libjpg\jmemsys.h" />
    <ClInclude Include="libjpg\jpegint.h" />
    <ClInclude Include="libjpg\jpeglib.h" />
    <ClInclude Include="libpng\png.h" />
    <ClInclude Include="libpng\pngpriv.h" />
    <ClInclude Include="libxpm\src\simx.h" />
    <ClInclude Include="libxpm\src\xpm.h" />
    <ClInclude Include="libxpm\src\XpmI.h" />
    <ClInclude Include="lua.h" />
  </ItemGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.targets" />
  <ImportGroup Label="ExtensionTargets">
  </ImportGroup>
</Project>